Package org.jbpm.kie.services.impl.query.mapper

## Class AbstractQueryMapper<T>

- java.lang.Object
- - org.jbpm.kie.services.impl.query.mapper.AbstractQueryMapper<T>

- Direct Known Subclasses:
    `ExecutionErrorQueryMapper`, `ProcessInstanceCustomQueryMapper`, `ProcessInstanceQueryMapper`, `ProcessInstanceWithCustomVarsQueryMapper`, `ProcessInstanceWithVarsQueryMapper`, `RawListQueryMapper`, `TaskSummaryQueryMapper`, `UserTaskInstanceQueryMapper`, `UserTaskInstanceWithCustomVarsQueryMapper`, `UserTaskInstanceWithModifVarsQueryMapper`, `UserTaskInstanceWithPotOwnerQueryMapper`, `UserTaskInstanceWithVarsQueryMapper`

      public abstract class AbstractQueryMapper<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractQueryMapper()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract T` | `buildInstance​(org.dashbuilder.dataset.DataSet dataSetResult, int index)` |
    `protected Date` | `getColumnDateValue​(org.dashbuilder.dataset.DataSet currentDataSet, String columnId, int index)` |
    `protected Double` | `getColumnDoubleValue​(org.dashbuilder.dataset.DataSet currentDataSet, String columnId, int index)` |
    `protected int` | `getColumnIntValue​(org.dashbuilder.dataset.DataSet currentDataSet, String columnId, int index)` |
    `protected Long` | `getColumnLongValue​(org.dashbuilder.dataset.DataSet currentDataSet, String columnId, int index)` |
    `protected String` | `getColumnStringValue​(org.dashbuilder.dataset.DataSet currentDataSet, String columnId, int index)` |
    `protected Map<String,​Object>` | `readVariables​(Map<String,​String> variablesMap, org.dashbuilder.dataset.DataSet currentDataSet, int i)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQueryMapper

          public AbstractQueryMapper()

  - ### Method Detail

    - #### buildInstance

          protected abstract T buildInstance​(org.dashbuilder.dataset.DataSet dataSetResult,
                                             int index)

    - #### getColumnLongValue

          protected Long getColumnLongValue​(org.dashbuilder.dataset.DataSet currentDataSet,
                                            String columnId,
                                            int index)

    - #### getColumnStringValue

          protected String getColumnStringValue​(org.dashbuilder.dataset.DataSet currentDataSet,
                                                String columnId,
                                                int index)

    - #### getColumnDateValue

          protected Date getColumnDateValue​(org.dashbuilder.dataset.DataSet currentDataSet,
                                            String columnId,
                                            int index)

    - #### getColumnIntValue

          protected int getColumnIntValue​(org.dashbuilder.dataset.DataSet currentDataSet,
                                          String columnId,
                                          int index)

    - #### getColumnDoubleValue

          protected Double getColumnDoubleValue​(org.dashbuilder.dataset.DataSet currentDataSet,
                                                String columnId,
                                                int index)

    - #### readVariables

          protected Map<String,​Object> readVariables​(Map<String,​String> variablesMap,
                                                           org.dashbuilder.dataset.DataSet currentDataSet,
                                                           int i)